makeup|SDK makeup|SDK is a library based on visage|SDK face tracking used to configure and render virtual makeup.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
com.visagetechnologies.CamIL.Plane Class Reference

## Public Member Functions
int | GetSize ()
int | GetWidth ()
int | GetHeight ()
float | GetBytesPerPixel ()
char | GetByte (int index)
void | SetByte (int index, char _byte)
com.visagetechnologies.CamIL.PlaneDetails | GetDetails ()
java.nio.ByteBuffer | GetBuffer ()
void | SetBuffer (java.nio.ByteBuffer data)

## Detailed Description

Represents an image retrieved from camera.

## Member Function Documentation

## ◆ GetBuffer()

java.nio.ByteBuffer com.visagetechnologies.CamIL.Plane.GetBuffer | ( |  | ) |
| inline

Returns a pointer to the buffer with the image data.

## ◆ GetByte()

char com.visagetechnologies.CamIL.Plane.GetByte | ( | int | index | ) |
| inline

Reads byte on the given index.

Parameters

  index | Buffer index to write to. Must be a valid index smaller than the plane buffer size.

## ◆ GetBytesPerPixel()

float com.visagetechnologies.CamIL.Plane.GetBytesPerPixel | ( |  | ) |
| inline

Returns bytes per pixel of image.

## ◆ GetDetails()

com.visagetechnologies.CamIL.PlaneDetails com.visagetechnologies.CamIL.Plane.GetDetails | ( |  | ) |
| inline

Gets the detaiols of the plane.

## ◆ GetHeight()

int com.visagetechnologies.CamIL.Plane.GetHeight | ( |  | ) |
| inline

Returns the image height.

## ◆ GetSize()

int com.visagetechnologies.CamIL.Plane.GetSize | ( |  | ) |
| inline

Returns the buffer size.

## ◆ GetWidth()

int com.visagetechnologies.CamIL.Plane.GetWidth | ( |  | ) |
| inline

Returns the image width.

## ◆ SetBuffer()

void com.visagetechnologies.CamIL.Plane.SetBuffer | ( | java.nio.ByteBuffer | data | ) |
| inline

Copies data into buffer

Parameters

  data | pointer to the data to copy. It must be same size of this plane's buffer.

## ◆ SetByte()

void com.visagetechnologies.CamIL.Plane.SetByte | ( | int | index,
|  | char | _byte
| ) |  |
| inline

Writes byte to a given index.

Parameters

  index | Buffer index to write to. Must be a valid index smaller than the plane buffer size.
  byte | Value to write.